Add entities to dataset
curl --request POST \
--url https://catchall.newscatcherapi.com/catchAll/datasets/{dataset_id}/entities \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"entity_ids": [
"854198fa-f702-49db-a381-0427fa87f173"
]
}
'import requests
url = "https://catchall.newscatcherapi.com/catchAll/datasets/{dataset_id}/entities"
payload = { "entity_ids": ["854198fa-f702-49db-a381-0427fa87f173"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({entity_ids: ['854198fa-f702-49db-a381-0427fa87f173']})
};
fetch('https://catchall.newscatcherapi.com/catchAll/datasets/{dataset_id}/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataset_id": "ccabb755-afc2-4047-b84c-78d1f23d49b2",
"affected_count": 1
}{
"detail": "Invalid API key"
}{
"detail": "Invalid API key"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Datasets
Add entities to dataset
Adds one or more existing entities to a dataset. Returns the number of entities added.
POST
/
catchAll
/
datasets
/
{dataset_id}
/
entities
Add entities to dataset
Authorizations
API key for authentication.
Path Parameters
Unique dataset identifier.
Body
application/json
List of entity IDs to add or remove.
Minimum array length:
1Example:
["854198fa-f702-49db-a381-0427fa87f173"]
Was this page helpful?
⌘I

